dpkg-shlibdeps(1)

NAME
dpkg-shlibdeps - generate shared library substvar dependencies

SYNOPSIS
dpkg-shlibdeps [options] executable|-eexecutable [options]

DESCRIPTION
dpkg-shlibdeps calculates shared library dependencies for executables named in its arguments. The dependencies are added to the substitution variables file debian/substvars as variable names shlibs:dependencyfield where dependencyfield is a dependency field name. Any other variables starting shlibs: are removed from the file. dpkg-shlibdeps will read shared library dependency information from debian/shlibs.local, /etc/dpkg/shlibs.override, the shlibs control area file of the package containing the file which objdump reports as satisfying the library dependency, or /etc/dpkg/shlibs.default. The first match will be used.

OPTIONS
dpkg-shlibdeps interprets non-option arguments as executable names, just as if they'd been supplied as -eexecutable.

-eexecutable
    Include dependencies appropriate for the shared libraries required by executable.

-ddependencyfield
    Add dependencies to be added to the control file dependency field dependencyfield. (The dependencies for this field are placed in the variable shlibs:dependencyfield.) The -ddependencyfield option takes effect for all executables after the option, until the next -ddependencyfield. The default dependencyfield is Depends. If the same dependency entry (or set of alternatives) appears in more than one of the recognised dependency field names Pre-Depends, Depends, Recommends, Enhances or Suggests then dpkg-shlibdeps will automatically remove the dependency from all fields except the one representing the most important dependencies.

-pvarnameprefix
    Start substitution variables with varnameprefix: instead of shlibs:. Likewise, any existing substitution variables starting with varnameprefix: (rather than shlibs:) are removed from the the substitution variables file.

-O  Print substitution variable settings to standard output, rather than being added to the substitution variables file (debian/substvars by default).

-ttype
    Prefer shared library dependency information tagged for the given package type. If no tagged information is available, falls back to untagged information. The default package type is "deb". Shared library dependency information is tagged for a given type by prefixing it with the name of the type, a colon, and whitespace.

-Llocalshlibsfile
    Read overriding shared library dependency information from localshlibsfile instead of debian/shlibs.local.

-Tsubstvarsfile
    Write substitution variables in substvarsfile; the default is debian/substvars.

--admindir=dir
    Change the location of the dpkg database. The default location is /var/lib/dpkg.

-h, --help
    Show the usage message and exit.

--version
    Show the version and exit.

FILES

debian/shlibs.local
    Package-local overriding shared library dependency information.

/etc/dpkg/shlibs.override
    Per-system overriding shared library dependency information.

/etc/dpkg/shlibs.default
    Per-system default shared library dependency information.

SEE ALSO
deb-shlibs(5).

AUTHORS
Copyright (C) 1995-1996 Ian Jackson
Copyright (C) 2000 Wichert Akkerman

This is free software; see the GNU General Public Licence version 2 or later for copying conditions. There is NO WARRANTY.